Bug 12913 - SMBC_setatr() initially uses an SMB1 call before falling back.
SMBC_setatr() initially uses an SMB1 call before falling back.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P1 regression
: 4.7
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 12899
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 00:08 UTC by Jeremy Allison
Modified: 2017-08-15 08:29 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.7.next, 4.6.next. (12.56 KB, patch)
2017-07-25 21:02 UTC, Jeremy Allison
slow: review+
Details
git-am fix for 4.5.next. (12.53 KB, patch)
2017-07-26 18:30 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-07-18 00:08:51 UTC
SMBC_setatr() first calls cli_setpathinfo_basic() which currently has no SMB2 fallback (even though one if available in the cli_XXX code).

This needs to be fixed before 4.7.0 can be released with SMB2 client support by default.
Comment 1 Jeremy Allison 2017-07-25 21:02:49 UTC
Created attachment 13430 [details]
git-am fix for 4.7.next, 4.6.next.

Cherry-picked from master.
Comment 2 Ralph Böhme 2017-07-26 05:18:00 UTC
Jeremy, what about 4.5?
Comment 3 Jeremy Allison 2017-07-26 17:21:31 UTC
(In reply to Ralph Böhme from comment #2)

Ah, this patch depends on:

https://bugzilla.samba.org/show_bug.cgi?id=12899

which isn't yet back-ported to 4.6.x, 4.5.x.

Let me fix that first.
Comment 4 Jeremy Allison 2017-07-26 18:30:17 UTC
Created attachment 13434 [details]
git-am fix for 4.5.next.

FYI: Depends on the patch for:

https://bugzilla.samba.org/show_bug.cgi?id=12899

being applied first !
Comment 5 Ralph Böhme 2017-08-07 08:30:15 UTC
Reassigning to Karolin for inclusion in 4.5, 4.6 and 4.7.

Karolin, please watch out for the dependency on bug 12899 being applied first for the 4.5 fix. Thanks!
Comment 6 Karolin Seeger 2017-08-14 08:04:40 UTC
(In reply to Ralph Böhme from comment #5)
Pushed to autobuild-v4-{7,6,5}-test.
Comment 7 Karolin Seeger 2017-08-15 08:29:44 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to all branches.
Closing out bug report.

Thanks!